import { jsx } from "react/jsx-runtime";
import { Feather as Feather$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Feather = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Feather", ...props, children: /* @__PURE__ */ jsx(Feather$1, { weight: variant }) });
  }
);
Feather.displayName = "Feather";
Object.assign(Feather, { isGdsIcon: true });
export {
  Feather
};
